import { axios } from '@/utils/request'
// 连锁收发存报表-分页列表
export const linkageReportPageList = (params) => {
  const url = `report/reportStockPutOut/linkageReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 连锁收发存报表-列表合计
export const linkageReportPageTotal = (params) => {
  return axios({
    url: 'report/reportStockPutOut/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 收发存报表-分页列表
export const reportPageList = (params) => {
  const url = `report/reportStockPutOut/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 收发存报表-列表合计
export const linkageReportTotal = (params) => {
  return axios({
    url: 'report/reportStockPutOut/linkageReportCount',
    data: params,
    method: 'post'
  })
}
